Get the latest image release for a channel
curl --request GET \
--url https://app.gecko.security/api/v1/releases/{channel}/latest \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.gecko.security/api/v1/releases/{channel}/latest"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.gecko.security/api/v1/releases/{channel}/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<string>",
"channel": "<string>",
"version": "<string>",
"git_sha": "<string>",
"image_digest": "<string>",
"image_uri": "<string>",
"image_ref": "<string>",
"pull_command": "<string>",
"pushed_at": "<string>",
"notes": "<string>"
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Releases
Get the latest image release for a channel
Unknown channel names return not_found.
GET
/
releases
/
{channel}
/
latest
Get the latest image release for a channel
Authorizations
ApiKeyHeaderBearerAuth
Path Parameters
Release channel name. Channel names are shared privately by your Gecko account contact and are not listed publicly.
Response
Success
Allowed value:
"image_release"Release channel name. Channel names are shared privately by your Gecko account contact and are not listed publicly.
Was this page helpful?
⌘I